Subject: [netconf] [Errata Rejected] RFC5277 (6770)

From: RFC Errata System <[email-masked]>
Date: Wed, 1 Dec 2021 09:25:58 -0800 (PST)

The following errata report has been rejected for RFC5277,
"NETCONF Event Notifications".

--------------------------------------
You may review the report below and at:
https://www.rfc-editor.org/errata/eid6770

--------------------------------------
Status: Rejected
Type: Technical

Reported by: Tetsuya Hasegawa <[email-masked]>
Date Reported: 2021-12-01
Rejected by: Rob Wilton (IESG)

Section: 4

Original Text
-------------
4.  XML Schema for Event Notification

Corrected Text
--------------
Add a new section "YANG Module for Event Notifications".

Notes
-----
There is no YANG module for the NETCONF <notification> defined anywhere.
There is no standard YANG module for the <create-subscription> operation.

1) RFC 5277 predates RFC 6020, so YANG is not normative in RFC 5277.
Please use the update in RFC 8639.

2) It is not possible to model the <notification> element in YANG.

3) A new RFC is required to add new functionality. This is not a bugfix
suitable for an Errata.

 --VERIFIER NOTES-- 

--------------------------------------
RFC5277 (draft-ietf-netconf-notification-14)
--------------------------------------
Title               : NETCONF Event Notifications
Publication Date    : July 2008
Author(s)           : S. Chisholm, H. Trevino
Category            : PROPOSED STANDARD
Source              : Network Configuration
Area                : Operations and Management
Stream              : IETF
Verifying Party     : IESG